This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 800605

Summary: 4.3 db upgrade failing if existing db does not have RHQ_DRIFT_TEMPLATE_MAP table
Product: [Other] RHQ Project Reporter: Jay Shaughnessy <jshaughn>
Component: DatabaseAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: urgent Docs Contact:
Priority: urgent    
Version: 4.2CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 800580 Environment:
Last Closed: 2013-09-01 06:10:55 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 800580    
Bug Blocks:    

Description Jay Shaughnessy 2012-03-06 13:58:36 EST
+++ This bug was initially created as a clone of Bug #800580 +++

Depending on the origin of the existing db it may or may not
include the RHQ_DRIFT_TEMPLATE_MAP table.  The upgrade tries to
remove this obsolete table.

But it seems that the <schema-dropTable> command fails if the
table does not exist.

--- Additional comment from jshaughn@redhat.com on 2012-03-06 13:55:08 EST ---

As a note, my failure case was an upgrade from 4.2 to 4.3.

--- Additional comment from jshaughn@redhat.com on 2012-03-06 13:57:54 EST ---


In master I recommend we make the dropTable command more tolerant, or allow
an attribute to ignoreError.

Also, the unit tests need to be checked to figure out why this wasn't detected.
Comment 1 Jay Shaughnessy 2012-03-06 14:25:00 EST
4.3.0 Commit: a9b2a279a578642db5bd6f9ef6bd7ad07f004792 (snegrea)

Removed the offending table remove, just leave the table there for now.
Comment 2 Heiko W. Rupp 2013-09-01 06:10:55 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.